curl --request GET \
--url https://api.geekidea.ai/v1/videos/clone/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/videos/clone/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/videos/clone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "vclone_0192f1c3a7b87c3e9a4f5b6c7d8e9f01",
"object": "video.clone",
"status": "producing",
"current_revision_no": 1,
"source": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"source_url": "<string>",
"source_duration_ms": 123,
"prompt": "<string>",
"models": {
"understand": "<string>",
"image": "<string>",
"video": "<string>",
"voice": "<string>"
},
"aspect_ratio": "auto",
"resolution": "720p",
"max_duration_seconds": 300,
"audio_policy": "keep",
"voice": "<string>",
"auto_confirm": true,
"revisions": [
{
"revision_no": 1,
"base_revision_no": 123,
"status": "producing",
"run_id": "wfr_0192f1c3a7b87c3e9a4f5b6c7d8e9f01",
"progress": 40,
"final_video": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"created_at": 123
}
],
"end_user": "<string>",
"metadata": {},
"created_at": 123
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Get a video clone
Returns the task with the settings of the current revision and the status and final video of every revision.
curl --request GET \
--url https://api.geekidea.ai/v1/videos/clone/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/videos/clone/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/videos/clone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "vclone_0192f1c3a7b87c3e9a4f5b6c7d8e9f01",
"object": "video.clone",
"status": "producing",
"current_revision_no": 1,
"source": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"source_url": "<string>",
"source_duration_ms": 123,
"prompt": "<string>",
"models": {
"understand": "<string>",
"image": "<string>",
"video": "<string>",
"voice": "<string>"
},
"aspect_ratio": "auto",
"resolution": "720p",
"max_duration_seconds": 300,
"audio_policy": "keep",
"voice": "<string>",
"auto_confirm": true,
"revisions": [
{
"revision_no": 1,
"base_revision_no": 123,
"status": "producing",
"run_id": "wfr_0192f1c3a7b87c3e9a4f5b6c7d8e9f01",
"progress": 40,
"final_video": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"created_at": 123
}
],
"end_user": "<string>",
"metadata": {},
"created_at": 123
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Authorizations
Provide your API key in the Authorization header using Bearer auth
Path Parameters
Video clone ID
Response
OK
A video clone task (POST /v1/videos/clone, GET /v1/videos/clone/{id}). The settings are those of the current revision.
Video clone ID
"vclone_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"
Always video.clone
"video.clone"
Status of the current revision: draft / producing / waiting_input / completed / failed / cancelled
draft, producing, waiting_input, completed, failed, cancelled "producing"
Current revision number
1
A file with a signed download link.
Show child attributes
Show child attributes
Link given as source_url
Reference video length (ms), after it has been probed
Request of the current revision
Models used by the video clone.
Show child attributes
Show child attributes
Requested aspect ratio; the plan has the one actually used
"auto"
Resolution
"720p"
Maximum length of the final video (seconds)
300
keep / mute / dub / generated
keep, mute, dub, generated "keep"
Voice for the voiceover
Whether steps are confirmed automatically
Revisions, oldest first
Show child attributes
Show child attributes
End-user identifier
Caller metadata
Show child attributes
Show child attributes
Creation time (Unix seconds)
